"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LineItems = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var renderer_1 = require("@react-pdf/renderer");
var react_1 = __importDefault(require("react"));
var styles_1 = require("../styles");
var gc_1 = require("./templates/gc");
var messages_1 = require("../messages");
var react_intl_1 = require("react-intl");
var LineItems = function (_a) {
    var lineItems = _a.lineItems, tax = _a.tax;
    var subtotal = lineItems.reduce(function (sum, _a) {
        var amountDue = _a.amountDue;
        return (sum += amountDue);
    }, 0);
    return ((0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [styles_1.styles.lineItemsRow] }, { children: [(0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [styles_1.styles.rowItemContainer, styles_1.styles.lightGrayBackground] }, { children: [(0, jsx_runtime_1.jsx)(renderer_1.View, __assign({ style: [styles_1.styles.rowItem1] }, { children: (0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.subtitle, { fontSize: "9px" }] }, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.description)) })) })), (0, jsx_runtime_1.jsx)(renderer_1.View, __assign({ style: [styles_1.styles.rowItem2] }, { children: (0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.subtitle, { fontSize: "9px" }] }, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.generation)) })) })), (0, jsx_runtime_1.jsx)(renderer_1.View, __assign({ style: styles_1.styles.rowItem2 }, { children: (0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.subtitle, { fontSize: "9px" }] }, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.rate)) })) })), (0, jsx_runtime_1.jsx)(renderer_1.View, __assign({ style: styles_1.styles.rowItem3 }, { children: (0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.subtitle, { fontSize: "9px" }] }, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.amountDue)) })) }))] })), __spreadArray(__spreadArray([], lineItems, true), Array.from({ length: 5 - lineItems.length }, function () { return ({
                description: undefined,
                generation: undefined,
                rate: undefined,
                amountDue: undefined,
            }); }), true).map(function (_a, index) {
                var description = _a.description, generation = _a.generation, rate = _a.rate, amountDue = _a.amountDue;
                return ((0, jsx_runtime_1.jsxs)(react_1.default.Fragment, { children: [(0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [styles_1.styles.rowItemContainer] }, { children: [(0, jsx_runtime_1.jsx)(renderer_1.View, __assign({ style: [styles_1.styles.rowItem1] }, { children: (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: description }) })), (0, jsx_runtime_1.jsx)(renderer_1.View, __assign({ style: [styles_1.styles.rowItem2] }, { children: (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: generation && (0, jsx_runtime_1.jsx)(react_intl_1.FormattedNumber, { value: generation }) }) })), (0, jsx_runtime_1.jsx)(renderer_1.View, __assign({ style: [styles_1.styles.rowItem2] }, { children: (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: rate && (0, jsx_runtime_1.jsx)(react_intl_1.FormattedNumber, { value: rate }) }) })), (0, jsx_runtime_1.jsx)(renderer_1.View, __assign({ style: [styles_1.styles.rowItem3] }, { children: (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: amountDue && ((0, jsx_runtime_1.jsx)(react_intl_1.FormattedNumber, { value: amountDue, style: "currency", currency: "USD" })) }) }))] })), (0, jsx_runtime_1.jsx)(gc_1.Divider, {})] }, description !== null && description !== void 0 ? description : index));
            }), (0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [styles_1.styles.totalsContainer] }, { children: [(0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [styles_1.styles.subtitle, styles_1.styles.totalsRowContainer] }, { children: [(0, jsx_runtime_1.jsx)(renderer_1.Text, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.subtotal)) }), (0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.totalsRowItem2] }, { children: subtotal && ((0, jsx_runtime_1.jsx)(react_intl_1.FormattedNumber, { value: subtotal, style: "currency", currency: "USD" })) }))] })), (0, jsx_runtime_1.jsx)(gc_1.Divider, {}), (0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [styles_1.styles.totalsRowContainer] }, { children: [(0, jsx_runtime_1.jsx)(renderer_1.Text, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.salesTax)) }), (0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.totalsRowItem2] }, { children: tax && ((0, jsx_runtime_1.jsx)(react_intl_1.FormattedNumber, { value: tax, style: "currency", currency: "USD" })) }))] })), (0, jsx_runtime_1.jsx)(gc_1.Divider, {}), (0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [styles_1.styles.highlight, styles_1.styles.subtitle, styles_1.styles.totalsRowContainer] }, { children: [(0, jsx_runtime_1.jsx)(renderer_1.Text, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.totalDue)) }), (0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.totalsRowItem2] }, { children: subtotal && ((0, jsx_runtime_1.jsx)(react_intl_1.FormattedNumber, { value: tax ? subtotal + tax : subtotal, style: "currency", currency: "USD" })) }))] })), (0, jsx_runtime_1.jsx)(gc_1.Divider, {})] }))] })));
};
exports.LineItems = LineItems;
//# sourceMappingURL=line-items.js.map