"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GCTemplate = exports.Divider = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var renderer_1 = require("@react-pdf/renderer");
var react_intl_1 = require("react-intl");
var messages_1 = require("../../../messages");
var styles_1 = require("../../../styles");
var billing_details_1 = require("../../billing-details");
var image_1 = require("../../image");
var line_items_1 = require("../../line-items");
var Divider = function (styles) { return ((0, jsx_runtime_1.jsx)(renderer_1.View, { style: __assign({ borderColor: "rgba(45, 43, 43, 1)", borderBottomWidth: 1 }, styles) })); };
exports.Divider = Divider;
var paintSquare = function (painter) {
    return painter.rect(0, 0, 16, 16).fill(styles_1.styles.highlight.color);
};
var GCTemplate = function (_a) {
    var billTo = _a.billTo, address = _a.address, projectAbb = _a.projectAbb, dueDate = _a.dueDate, startDate = _a.startDate, endDate = _a.endDate, invoiceNumber = _a.invoiceNumber, invoiceDate = _a.invoiceDate, lineItems = _a.lineItems, notes = _a.notes, tax = _a.tax, ach = _a.ach, city = _a.city, state = _a.state, aba = _a.aba, accountNumber = _a.accountNumber, swiftName = _a.swiftName, checkName = _a.checkName, poBoxNum = _a.poBoxNum, poBoxCity = _a.poBoxCity, poBoxState = _a.poBoxState, poBoxZip = _a.poBoxZip, billedBy1 = _a.billedBy1, billedBy2 = _a.billedBy2, billedByAddress = _a.billedByAddress;
    return ((0, jsx_runtime_1.jsx)(renderer_1.Page, __assign({ size: "A4", style: [
            {
                flexDirection: "column",
                fontSize: "9px",
                fontFamily: "Open Sans",
                color: "rgba(45, 43, 43, 1)",
                lineHeight: "0.0175in",
            },
        ] }, { children: (0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [{ margin: "0.5in", flexGrow: 1 }] }, { children: [(0, jsx_runtime_1.jsx)(renderer_1.View, __assign({ style: [{ marginRight: "auto", height: "1.3306in" }] }, { children: (0, jsx_runtime_1.jsx)(image_1.Image, { src: "".concat(__dirname, "/../../../assets/logos/gc.png") }) })), (0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [
                        styles_1.styles.title,
                        {
                            marginHorizontal: "auto",
                        },
                    ] }, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.title)) })), (0, jsx_runtime_1.jsx)(billing_details_1.BillingDetails, __assign({}, {
                    billTo: billTo,
                    address: address,
                    projectAbb: projectAbb,
                    dueDate: dueDate,
                    startDate: startDate,
                    endDate: endDate,
                    invoiceNumber: invoiceNumber,
                    invoiceDate: invoiceDate,
                })), (0, jsx_runtime_1.jsx)(exports.Divider, { styles: { marginBottom: "8px" } }), (0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [{ flexDirection: "row", marginBottom: "16px" }] }, { children: [(0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [{ flexBasis: "3.1in" }] }, { children: [(0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.subtitle, styles_1.styles.highlight] }, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.timePeriod)) })), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({ values: { startDate: startDate, endDate: endDate } }, messages_1.messages.startEndDate)) })] })), (0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [{ flexBasis: "3.15in" }] }, { children: [(0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.subtitle, styles_1.styles.highlight] }, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.invoiceNumber)) })), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: invoiceNumber && invoiceNumber })] })), (0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: styles_1.styles.invoiceDateRow }, { children: [(0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.subtitle, styles_1.styles.highlight] }, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.invoiceDate)) })), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: invoiceDate && invoiceDate })] }))] })), (0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [styles_1.styles.highlightLineContainer] }, { children: [(0, jsx_runtime_1.jsx)(renderer_1.Canvas, { paint: paintSquare }), (0, jsx_runtime_1.jsx)(renderer_1.View, __assign({ style: [styles_1.styles.highlightLine] }, { children: (0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.subtitle, styles_1.styles.highlightLineText] }, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.notesUpdates)) })) }))] })), (0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.notes] }, { children: notes })), notes && (0, jsx_runtime_1.jsx)(exports.Divider, { styles: { marginLeft: "16px" } }), (0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [styles_1.styles.lineItemsContainer] }, { children: [(0, jsx_runtime_1.jsx)(renderer_1.Canvas, { paint: paintSquare }), (0, jsx_runtime_1.jsx)(line_items_1.LineItems, __assign({}, { lineItems: lineItems, tax: tax }))] })), (0, jsx_runtime_1.jsx)(exports.Divider, {}), (0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [styles_1.styles.paymentInvoiceContainer] }, { children: [(0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [styles_1.styles.paymentRow] }, { children: [(0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.highlight] }, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.paymentInstructions)) })), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.remitTo)) }), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({ values: { ach: ach } }, messages_1.messages.ach)) }), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({ values: { city: city, state: state } }, messages_1.messages.cityState)) }), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({ values: { aba: aba } }, messages_1.messages.aba)) }), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({ values: { accountNumber: accountNumber } }, messages_1.messages.accountNumber)) }), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.swiftAccountName)) }), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: swiftName }), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.byCheck)) }), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: checkName }), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({ values: { poBoxNum: poBoxNum } }, messages_1.messages.poBoxNum)) }), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({ values: { poBoxCity: poBoxCity, poBoxState: poBoxState, poBoxZip: poBoxZip } }, messages_1.messages.poBoxCityStateZip)) })] })), (0, jsx_runtime_1.jsxs)(renderer_1.View, __assign({ style: [styles_1.styles.billedByRow] }, { children: [(0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.highlight] }, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.billedBy)) })), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: billedBy1 }), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: billedBy2 }), (0, jsx_runtime_1.jsx)(renderer_1.Text, { children: billedByAddress })] }))] })), (0, jsx_runtime_1.jsx)(renderer_1.Text, __assign({ style: [styles_1.styles.footer] }, { children: (0, jsx_runtime_1.jsx)(react_intl_1.FormattedMessage, __assign({}, messages_1.messages.footer)) }))] })) })));
};
exports.GCTemplate = GCTemplate;
//# sourceMappingURL=index.js.map