"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.styles = exports.theme = void 0;
var renderer_1 = require("@react-pdf/renderer");
renderer_1.Font.register({
    family: "Open Sans",
    fonts: [
        {
            src: __dirname + "/assets/fonts/OpenSans-Regular.ttf",
        },
        {
            src: __dirname + "/assets/fonts/OpenSans-SemiBold.ttf",
            fontWeight: "semibold",
        },
        {
            src: __dirname + "/assets/fonts/OpenSans-Light.ttf",
            fontWeight: "light",
        },
    ],
});
exports.theme = {
    typography: {
        title: {
            fontSize: "20px",
            height: "0.5722in",
        },
        subtitle: { fontSize: "10px", fontWeight: "semibold" },
    },
};
exports.styles = renderer_1.StyleSheet.create({
    title: {
        fontSize: "20px",
        marginHorizontal: "auto",
        height: "0.5722in",
    },
    subtitle: { fontSize: "10px", fontWeight: "semibold" },
    billingDetailsContainer: { flexDirection: "row", height: "0.7722in" },
    billToRow: { flexBasis: "6.25in" },
    highlight: { color1: { color: "#e67400" }, color: "#e67400" },
    projectIdDateRow: { flexGrow: 1 },
    timeInvoiceContainer: {},
    timePeriodRow: {},
    invoiceNumberRow: {},
    invoiceDateRow: { flexGrow: 1 },
    highlightLineContainer: { flexDirection: "row", height: "16px" },
    highlightLine: {
        flexGrow: 1,
        backgroundColor: "rgba(224, 224, 224, 1)",
        justifyContent: "center",
    },
    notes: { marginLeft: "20px" },
    highlightLineText: { marginLeft: "4px", fontSize: "9px" },
    lineItemsContainer: { flexDirection: "row", marginTop: "0.125in" },
    lineItemsRow: { flexGrow: 1, flexDirection: "column", height: "4.25in" },
    rowItemContainer: {
        flexDirection: "row",
        alignItems: "center",
        minHeight: "16px",
    },
    rowItem1: { marginLeft: "4px", flexBasis: "2.25in" },
    rowItem2: { flexBasis: "1.5in", alignItems: "flex-end" },
    rowItem3: { flexGrow: 1, marginRight: "4px", alignItems: "flex-end" },
    totalsContainer: { marginLeft: "2.5in", marginTop: "0.128in" },
    totalsRowContainer: { flexDirection: "row", fontSize: "9px" },
    totalsRowItem2: { flexGrow: 1, textAlign: "right", marginRight: "4px" },
    paymentInvoiceContainer: { flexDirection: "row", marginTop: "0.128in" },
    paymentRow: { flexBasis: "6.25in" },
    billedByRow: { flexBasis: "1.25in" },
    footer: {
        marginHorizontal: "auto",
        fontSize: "8px",
        marginVertical: "0.5in",
    },
    lightGrayBackground: {
        backgroundColor: "rgba(224, 224, 224, 1)",
    },
});
//# sourceMappingURL=styles.js.map